GNU bug report logs - #49774
27.1; if diff commands finds no differences then do not pop up a window

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ndame <laszlomail@HIDDEN>; dated Thu, 29 Jul 2021 17:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 31 Jul 2021 22:11:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 31 18:11:39 2021
Received: from localhost ([127.0.0.1]:35050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9xCl-0000gw-Md
	for submit <at> debbugs.gnu.org; Sat, 31 Jul 2021 18:11:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m9xCj-0000gf-Q1
 for 49774 <at> debbugs.gnu.org; Sat, 31 Jul 2021 18:11:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Bm3W1Gw+/2t4rutZr9TEDj+RcAjGU0B0dgNTFbDk6i4=; b=Gkn8xqDoz8707ZcTuBOiC+LVDd
 082LzkvgWy5m2YQDbBHPaKcsoH8YIDHcBwJRLYcvsGmXOeDI7viJRnEk5kt3joEDCyWsrP0tL8ROb
 YdT36+ZS/Z19d/qq1ViErdIvimVAf3tL9r5trQcRHpYtamZg7LNIo0Bc4qR8baPuPymw=;
Received: from 2.149.45.105.tmi.telenormobil.no ([2.149.45.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m9xCa-0000i1-EM; Sun, 01 Aug 2021 00:11:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
 <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
 <875ywsowdh.fsf@HIDDEN>
 <c0O91eHm7YcB-0kPmVr2dCIh6WiSPs1EbqBUJAQmblD2UOxHT5HD1UF8Yg8llx8e_ez47yO-X_ZgvjBK9fgf0C_95BtvCTbMydU9zCzhdvQ=@protonmail.com>
 <dd1415a4-1b7a-72eb-2f00-1de4949ad525@HIDDEN>
 <87sfzvk59c.fsf@HIDDEN> <87r1fejgvn.fsf@HIDDEN>
Date: Sun, 01 Aug 2021 00:11:26 +0200
In-Reply-To: <87r1fejgvn.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 01 Aug 2021 00:06:52 +0300")
Message-ID: <874kca9lrl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >> A general thing for
 popping up asynchronous buffers that users can >> control? Yeah, that could
 be nice. We could have a user option that >> says whether to pop up
 immediately, later but only on su [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49774
Cc: ndame <laszlomail@HIDDEN>, 49774 <at> debbugs.gnu.org,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> A general thing for popping up asynchronous buffers that users can
>> control?  Yeah, that could be nice.  We could have a user option that
>> says whether to pop up immediately, later but only on success, always,
>> run the command synchronously...
>
> Like async-shell-command-display-buffer.

Right.  Only...  more.  :-)  (And more general.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 31 Jul 2021 22:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 31 18:10:11 2021
Received: from localhost ([127.0.0.1]:35039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9xBL-0000e4-Ot
	for submit <at> debbugs.gnu.org; Sat, 31 Jul 2021 18:10:11 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:42455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1m9xBK-0000dl-5D
 for 49774 <at> debbugs.gnu.org; Sat, 31 Jul 2021 18:10:10 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 0A3EE20004;
 Sat, 31 Jul 2021 22:10:01 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
Organization: LINKOV.NET
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
 <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
 <875ywsowdh.fsf@HIDDEN>
 <c0O91eHm7YcB-0kPmVr2dCIh6WiSPs1EbqBUJAQmblD2UOxHT5HD1UF8Yg8llx8e_ez47yO-X_ZgvjBK9fgf0C_95BtvCTbMydU9zCzhdvQ=@protonmail.com>
 <dd1415a4-1b7a-72eb-2f00-1de4949ad525@HIDDEN>
 <87sfzvk59c.fsf@HIDDEN>
Date: Sun, 01 Aug 2021 00:06:52 +0300
In-Reply-To: <87sfzvk59c.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 30 Jul 2021 20:47:59 +0200")
Message-ID: <87r1fejgvn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49774
Cc: ndame <laszlomail@HIDDEN>, 49774 <at> debbugs.gnu.org,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> I was going to suggest a user option that switches to the synchronous
>> mode of operation, but the above sounds probably even better.
>
> A general thing for popping up asynchronous buffers that users can
> control?  Yeah, that could be nice.  We could have a user option that
> says whether to pop up immediately, later but only on success, always,
> run the command synchronously...

Like async-shell-command-display-buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 18:48:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 14:48:12 2021
Received: from localhost ([127.0.0.1]:60917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9XYJ-0006An-U2
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 14:48:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m9XYI-0006AX-JD
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 14:48:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kh7+5l4KC8Ku8CDZdlDkBcXk8IU+qyf3pKT9vetHXF0=; b=jSYHNEuyUjjfuzrxWmFWeyF4RD
 PSuJUANkYr+ForMnVPolvQaqhSHPMEvF7qgtxk5i02mMJbGXpkLi1c1r5Y6j2C9L/G+VT9TOEH4vt
 Cy60jFKOs0K1XcaZvfIxREeTx8ObMPtSrP6DUMvJ5Da6pNWSUSi/2DVwqR99c1DNTrww=;
Received: from 2.149.45.105.tmi.telenormobil.no ([2.149.45.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m9XY9-0002XV-5o; Fri, 30 Jul 2021 20:48:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
 <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
 <875ywsowdh.fsf@HIDDEN>
 <c0O91eHm7YcB-0kPmVr2dCIh6WiSPs1EbqBUJAQmblD2UOxHT5HD1UF8Yg8llx8e_ez47yO-X_ZgvjBK9fgf0C_95BtvCTbMydU9zCzhdvQ=@protonmail.com>
 <dd1415a4-1b7a-72eb-2f00-1de4949ad525@HIDDEN>
Date: Fri, 30 Jul 2021 20:47:59 +0200
In-Reply-To: <dd1415a4-1b7a-72eb-2f00-1de4949ad525@HIDDEN> (Dmitry Gutov's
 message of "Fri, 30 Jul 2021 15:44:49 +0300")
Message-ID: <87sfzvk59c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > I was going to
 suggest
 a user option that switches to the synchronous > mode of operation, but the
 above sounds probably even better. A general thing for popping up asynchronous
 buffers that users can control? Yeah, that could be nice. We could have a
 user option that says whether to pop up immediately, later but only on success,
 al [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49774
Cc: ndame <laszlomail@HIDDEN>, 49774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> I was going to suggest a user option that switches to the synchronous
> mode of operation, but the above sounds probably even better.

A general thing for popping up asynchronous buffers that users can
control?  Yeah, that could be nice.  We could have a user option that
says whether to pop up immediately, later but only on success, always,
run the command synchronously...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2021 18:28:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 14:28:25 2021
Received: from localhost ([127.0.0.1]:60893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9XFB-0005fx-5V
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 14:28:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:38152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1m9XF9-0005fp-Op
 for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 14:28:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59314)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1m9XF9-0003ca-IA
 for bug-gnu-emacs@HIDDEN; Fri, 30 Jul 2021 14:28:23 -0400
Received: from mail-40141.protonmail.ch ([185.70.40.141]:42717)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1m9XF7-00026l-42
 for bug-gnu-emacs@HIDDEN; Fri, 30 Jul 2021 14:28:23 -0400
Date: Fri, 30 Jul 2021 18:28:11 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627669691;
 bh=iNbnTy1rwmZGtnE0OVLlPoXQZSVIw+F+vrlPp05IOt8=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=aKj0rFwSOfncN2bUV4u4j7o2ow1lJ0Nxr+ACMob2/JHs7KeIzQUAE/1Rq9ay/KI9W
 lYKK6KUZeWTpFp32a/R2iiJOSl47hQEKBajYEDVaAD3RflDsYr9P/Z877MBNK5IBxu
 Kna3iOFBDzoYrv2UqY26xa6QuKnHOsPA5GHHWJn0=
To: "Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: Re: 27.1;
 if diff commands finds no differences then do not pop up a window
Message-ID: <s4zd4P1uDdOsRMOZsQrqWQi7T1sQCybO0QM5HjHg1JbUeY45QBe2KZGBQ6hCz6sFmMkROkn3MKHGzKZzEIKPUVsDZCyiloxyCYkpNSavmvU=@protonmail.com>
In-Reply-To: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_zPGMpHrbG2fc7Ngw8E3IlsIePuCidkZrNwGtZUq7Hk"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.141;
 envelope-from=laszlomail@HIDDEN; helo=mail-40141.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_zPGMpHrbG2fc7Ngw8E3IlsIePuCidkZrNwGtZUq7Hk
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

PiBJZiB0aGVyZSBhcmUgbm8gZGlmZmVyZW5jZXMgdGhlbiBlbWFjcyBzaG91bGQganVzdCBzaG93
IHRoaXMgaW4gYSBtZXNzYWdlIGluc3RlYWQgb2YgcG9wcGluZyB1cCBhIHdpbmRvdyB3aXRoIG5v
dCB1c2VmdWwgY29udGVudC4KCkp1c3QgYSBzaW1wbGUgaW1wbGVtZW50YXRpb24gd2l0aCBhZHZp
Y2VzIGZvciB0aGUgdGltZSBiZWluZyBmb3IgdGhvc2Ugd2hvIHByZWZlciB0aGlzOgoKKGFkdmlj
ZS1hZGQgJ2RpZmYgOmFyb3VuZCAnbXktZGlmZikKCihkZWZ1biBteS1kaWZmIChvcmlnLWZ1biAm
cmVzdCBhcmdzKQooZmxldCAoKGRpc3BsYXktYnVmZmVyIChidWYpIGJ1ZikpCihhcHBseSBvcmln
LWZ1biBhcmdzKSkpCgooYWR2aWNlLWFkZCAnZGlmZi1zZW50aW5lbCA6YWZ0ZXIgJ215LWRpZmYt
c2VudGluZWwpCgooZGVmdW4gbXktZGlmZi1zZW50aW5lbCAoY29kZSAmcmVzdCBhcmdzKQooaWYg
KGVxdWFsIGNvZGUgMCkKKG1lc3NhZ2UgIk5vIGRpZmZlcmVuY2VzLiIpCihkaXNwbGF5LWJ1ZmZl
ciAoY3VycmVudC1idWZmZXIpKSkp

--b1_zPGMpHrbG2fc7Ngw8E3IlsIePuCidkZrNwGtZUq7Hk
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdj4gPGJyPjwvZGl2PjxkaXYgY2xhc3M9InByb3Rvbm1haWxfcXVvdGUiPjxibG9ja3F1b3Rl
IHR5cGU9ImNpdGUiIGNsYXNzPSJwcm90b25tYWlsX3F1b3RlIj48ZGl2PklmIHRoZXJlIGFyZSBu
byBkaWZmZXJlbmNlcyB0aGVuIGVtYWNzIHNob3VsZCBqdXN0IHNob3cgdGhpcyBpbiBhIG1lc3Nh
Z2UgaW5zdGVhZCBvZiBwb3BwaW5nIHVwIGEgd2luZG93IHdpdGggbm90IHVzZWZ1bCBjb250ZW50
Ljxicj48L2Rpdj48L2Jsb2NrcXVvdGU+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5KdXN0IGEg
c2ltcGxlIGltcGxlbWVudGF0aW9uIHdpdGggYWR2aWNlcyBmb3IgdGhlIHRpbWUgYmVpbmcgZm9y
IHRob3NlIHdobyBwcmVmZXIgdGhpczo8YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj4oYWR2
aWNlLWFkZCAnZGlmZiA6YXJvdW5kICdteS1kaWZmKTxicj48L2Rpdj48ZGl2Pjxicj48L2Rpdj48
ZGl2PihkZWZ1biBteS1kaWZmIChvcmlnLWZ1biAmYW1wO3Jlc3QgYXJncyk8YnI+PC9kaXY+PGRp
dj4mbmJzcDsgKGZsZXQgKChkaXNwbGF5LWJ1ZmZlciAoYnVmKSBidWYpKTxicj48L2Rpdj48ZGl2
PiZuYnNwOyZuYnNwOyZuYnNwOyAoYXBwbHkgb3JpZy1mdW4gYXJncykpKTxicj48L2Rpdj48ZGl2
Pjxicj48L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PihhZHZpY2UtYWRkICdkaWZmLXNlbnRpbmVs
IDphZnRlciAnbXktZGlmZi1zZW50aW5lbCk8YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj4o
ZGVmdW4gbXktZGlmZi1zZW50aW5lbCAoY29kZSAmYW1wO3Jlc3QgYXJncyk8YnI+PC9kaXY+PGRp
dj4mbmJzcDsgKGlmIChlcXVhbCBjb2RlIDApPGJyPjwvZGl2PjxkaXY+Jm5ic3A7Jm5ic3A7Jm5i
c3A7Jm5ic3A7Jm5ic3A7IChtZXNzYWdlICJObyBkaWZmZXJlbmNlcy4iKSZuYnNwOyZuYnNwOyZu
YnNwOzxicj48L2Rpdj48ZGl2PiZuYnNwOyZuYnNwOyZuYnNwOyAoZGlzcGxheS1idWZmZXIgKGN1
cnJlbnQtYnVmZmVyKSkpKTxicj48L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2Pjxicj48L2Rpdj4=


--b1_zPGMpHrbG2fc7Ngw8E3IlsIePuCidkZrNwGtZUq7Hk--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 13:19:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 09:19:39 2021
Received: from localhost ([127.0.0.1]:59415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9SQN-0001gI-2o
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 09:19:39 -0400
Received: from mail-4324.protonmail.ch ([185.70.43.24]:36785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1m9SQL-0001g5-0r
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 09:19:38 -0400
Date: Fri, 30 Jul 2021 13:19:29 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627651170;
 bh=hvkkN6ozo/bCdlON1zYdFmnHiJW/OFL6OCOB5RXWZ/g=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=kc/ZXikyb+peet4B2Owy+3FWAm1yQWlWtcmOANrF4mR3BqSrb9VL5y99/QrnnnrpX
 Qq7lH4TPB5X1tRDqthiyd7sTWJSWR4otZ49efRJ77BfYNhwZiaMKD4C8XrRi3ySrHx
 wd++4kYRgBhiMfwMXLv289vSc/lNNNIlZL67rof0=
To: Dmitry Gutov <dgutov@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1;
 if diff commands finds no differences then do not pop up a window
Message-ID: <uH74ujdSJXzmXZbIgXGsBD9liuKl9f_qUvd4Gnwqs8mOjfrbSIvY-NcVoLxHlH2yQ1txpje0QWjrt768nsfHpm46F_trGqdPw5Za0cSbzLo=@protonmail.com>
In-Reply-To: <dd1415a4-1b7a-72eb-2f00-1de4949ad525@HIDDEN>
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
 <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
 <875ywsowdh.fsf@HIDDEN>
 <c0O91eHm7YcB-0kPmVr2dCIh6WiSPs1EbqBUJAQmblD2UOxHT5HD1UF8Yg8llx8e_ez47yO-X_ZgvjBK9fgf0C_95BtvCTbMydU9zCzhdvQ=@protonmail.com>
 <dd1415a4-1b7a-72eb-2f00-1de4949ad525@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49774
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 49774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> I was going to suggest a user option that switches to the synchronous
> mode of operation, but the above sounds probably even better.

Or there can be an option like  diff-show-window-only-if-difference-exists
which can be nil for the current behavior and t if the user wants to see
no window if there is no difference, just a message.

This may be the simplest solution, because then the user can simply set
it according his working conditions. If he works with remote files he
sets it to nil, if he works with files on his local machine then it can
be set to t.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 12:45:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 08:45:00 2021
Received: from localhost ([127.0.0.1]:59369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9Rsp-0004vX-P6
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 08:45:00 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:39563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1m9Rso-0004vL-6f
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 08:44:58 -0400
Received: by mail-wr1-f44.google.com with SMTP id b11so5835765wrx.6
 for <49774 <at> debbugs.gnu.org>; Fri, 30 Jul 2021 05:44:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=aieLNN4aEJRMjTvWUn4CuccKRsfYOOuZOL6s4k40irM=;
 b=V5YerMMO1CgdT7T+PGdKTsBnZT1kHsQw0C1tOOamu7D2Nlda0TfsDoeRFGZaAAVIpR
 kap+RACquRNqcTXUCJXEdcuW0fIRXgbxixrDltcJT27TpbXcasHNX550Rw/GH4JkF7Ln
 MX+epstrPyXnYDmGLJRlHitFAOihZBxVH3N0NmOxzbXS7wT/sEcG/rsA8iOzYhLKQ0Sn
 Xc0C/AO7syaORyB+gfmSvfbYMWTih8L4z6X0vELImT4i8FqYmiRafxPgQsOjbBT8mYpC
 VYOSJbyEfBPOaJdbWNYKQOSg/mFyKqwqZ81VMLgWprOcO7brsWPfj7CZOifPRuMo6gSF
 gkgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=aieLNN4aEJRMjTvWUn4CuccKRsfYOOuZOL6s4k40irM=;
 b=J5nAv6znZsweBYpe2L4GOLfgq7zzGhaoXqIULDcTndZLyqbuCuEOKk51ypZUW9zXWP
 U8sUggaNBlMpJju3MvNFyi2Zt2DQiJp5cCyCX5yE7rmNep3cQ9UUhzQXW/itPmsie+Rp
 q7gMa7ksqRkGzmeToKIimfjLRSDiZK1i0rj7Aksg7wefsBRLwxtYnBMmWW6ljJGCmqzw
 CaMg95sRgZx89T51owP51ukdhKyKfA5/5mQkg+0VGc3XNSx9FEGUytsCxyIITUSqvpda
 anqIyBOYUZXnefBOZQ8Dvx9Jn80IWm39FrT+VIrApBlO+PyocqnTyoykekUarwFXww3E
 pTwQ==
X-Gm-Message-State: AOAM533Ce4KBK1BsRCwwGJfe9sOADmvHv21FldowW1q9+r+iAFYQ72nz
 ov059C2gOkblmP97x5GjFignN/+1FVE=
X-Google-Smtp-Source: ABdhPJxuvi35ANUd3qG0Jh+jAg8aBp5L+nDDdZncdm2tLZrFtyo0FT2CHGXsqX6GMAKWBSoYD7V5Xg==
X-Received: by 2002:adf:f68a:: with SMTP id v10mr2890275wrp.366.1627649092259; 
 Fri, 30 Jul 2021 05:44:52 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id o14sm1692004wmq.31.2021.07.30.05.44.50
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 30 Jul 2021 05:44:51 -0700 (PDT)
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
To: ndame <laszlomail@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
 <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
 <875ywsowdh.fsf@HIDDEN>
 <c0O91eHm7YcB-0kPmVr2dCIh6WiSPs1EbqBUJAQmblD2UOxHT5HD1UF8Yg8llx8e_ez47yO-X_ZgvjBK9fgf0C_95BtvCTbMydU9zCzhdvQ=@protonmail.com>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <dd1415a4-1b7a-72eb-2f00-1de4949ad525@HIDDEN>
Date: Fri, 30 Jul 2021 15:44:49 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <c0O91eHm7YcB-0kPmVr2dCIh6WiSPs1EbqBUJAQmblD2UOxHT5HD1UF8Yg8llx8e_ez47yO-X_ZgvjBK9fgf0C_95BtvCTbMydU9zCzhdvQ=@protonmail.com>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 30.07.2021 14:58, ndame via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> Okay, then how about adding a configurable delay before popping up the diff window?
> E.g. if no results arrive within, say, 1 second then a timer pops up the
> window, so the user knows the diff is in progress, but slow.

I was going to suggest a user option that switches to the synchronous 
mode of operation, but the above sounds probably even better.

As long as there is someone willing to implement this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 11:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 07:58:19 2021
Received: from localhost ([127.0.0.1]:59206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9R9e-0007kd-R4
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:58:19 -0400
Received: from mail-4319.protonmail.ch ([185.70.43.19]:20771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1m9R9c-0007kP-NC
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:58:17 -0400
Date: Fri, 30 Jul 2021 11:58:08 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627646289;
 bh=YcJpj1XArmJ/axkAMIi5ZhGe0DXNyqQExwKEoEFiIY4=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=DRi0jv0t0yFuCqWcRZgfDLN8SvXQjgNzEtkEc/L0wPzP9z+sPSA/zRIhlzaFbES3i
 xbEnvO6EyXFKV1GKCCTLJFl7NmGmQmccaE/0elue0NMg6SJuL8P9m9e+kYqXPBvnj2
 u5tP9puycOzMduPb+x9a9cfujd1v3wjRy1O5PH7k=
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1;
 if diff commands finds no differences then do not pop up a window
Message-ID: <c0O91eHm7YcB-0kPmVr2dCIh6WiSPs1EbqBUJAQmblD2UOxHT5HD1UF8Yg8llx8e_ez47yO-X_ZgvjBK9fgf0C_95BtvCTbMydU9zCzhdvQ=@protonmail.com>
In-Reply-To: <875ywsowdh.fsf@HIDDEN>
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
 <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
 <875ywsowdh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> > Diff output arrives pretty much instantly
>
> Depends on many things -- the files may be on remote systems, for
> instance.

Okay, then how about adding a configurable delay before popping up the diff=
 window?
E.g. if no results arrive within, say, 1 second then a timer pops up the
window, so the user knows the diff is in progress, but slow.

This takes care of the slow remote system problem and the timer would pract=
ically
never  fire on a local machine where the filesystem response is quick.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 11:48:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 07:48:55 2021
Received: from localhost ([127.0.0.1]:59174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9R0Y-0007Vd-Tq
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:48:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m9R0W-0007VR-Vj
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:48:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8sI3phYB/y1QYFDSfxEWoXN2kSQ2hcqFoNvgZgzfvCE=; b=JyFi41hQifJqEymWt57REhWQJV
 nZ5We4jsumZsqM7G1V8UKaBC3nv0CzTfPNxCaOMujWrAChZodQoRsMznbrimCpjnIupulG9BuBRom
 LzEEF8hHL7wkThpt9y8AfQr769ZIh2t7M8fU/AjR3i2G4eOlQF720NIc3ae749kJZO0g=;
Received: from 2.149.45.105.tmi.telenormobil.no ([2.149.45.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m9R0O-00073T-EY; Fri, 30 Jul 2021 13:48:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
 <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
Date: Fri, 30 Jul 2021 13:48:42 +0200
In-Reply-To: <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
 (ndame's message of "Fri, 30 Jul 2021 11:47:13 +0000")
Message-ID: <875ywsowdh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: ndame <laszlomail@HIDDEN> writes: > Diff output
 arrives
 pretty much instantly Depends on many things -- the files may be on remote
 systems, for instance. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

ndame <laszlomail@HIDDEN> writes:

> Diff output arrives pretty much instantly

Depends on many things -- the files may be on remote systems, for
instance.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 11:47:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 07:47:23 2021
Received: from localhost ([127.0.0.1]:59166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9Qz5-0007C3-3r
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:47:23 -0400
Received: from mail-4319.protonmail.ch ([185.70.43.19]:58149)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1m9Qz3-00076c-3L
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:47:22 -0400
Date: Fri, 30 Jul 2021 11:47:13 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627645634;
 bh=ER4moiEB15TXoawY1RJBk2JJa4yWum6AHA7G5nymejo=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=QiwU59601DLjuguR89XBRMbCGr9T8AaD1Ew9btUNjoM0sIdXReeJjlZo2RBjyaSHP
 XsxWAwwLKrMNYwlIZHKaI8DbXIpjSabUxpA2aXkw4uFJof1k8zuwWLmDX4urb5xTt2
 m4RFflUl0KHvQtf+9nfebdvjyvSH+mA5l3KWahyI=
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1;
 if diff commands finds no differences then do not pop up a window
Message-ID: <HwtrqS3krd4OC1Wm0naolzsxi_dDTJjzxPWqG6tdNQFsnrVkRMX9-ACXj9BWV46qMNhqlscXNDIabTF4XGJtLFRpkag0dTqsDmj3oqJqK5o=@protonmail.com>
In-Reply-To: <875ywsqc2a.fsf@HIDDEN>
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 <875ywsqc2a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> That's also been discussed extensively during the M-x man wars, and it's
> a horrible UX -- having windows popping up asynchronously at some later
> point is disruptive and confusing, so we don't do that.
>

Diff output arrives pretty much instantly, the user does not even lift his
fingers from executing the diff key binding when the beginning of the outpu=
t is
already there.

And the user expects something to happen when invoking diff, either seeing =
the
diff or getting the message there is no diff, so waiting for a fraction of =
a second
before popping up a window is not a real problem, because the user is waiti=
ng for the
result anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 11:24:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 07:24:46 2021
Received: from localhost ([127.0.0.1]:59106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9QdC-0002Zu-9H
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:24:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m9QdA-0002Zc-0S
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:24:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8GmovP7qcjkE8Nvh7wzBa2Xtj5BDSzum6UoXcd9oWWA=; b=HUg45KxAEVn4yMIsEKb7qw49aZ
 qrFbeWy6pVWCmxLkcnQGODON5pfprXay7/JJfaR3mUVMP8DNfLPxw7lHwEMBzUMZhmysqB9ND+git
 /qG6lmxUXd0+4JzplmeISIqoR4JT3mDzKWErF7DYYnhyGMzklb0I23mfREnxDunmWwIA=;
Received: from 2.149.45.105.tmi.telenormobil.no ([2.149.45.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m9Qd0-0006qs-MK; Fri, 30 Jul 2021 13:24:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
 <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
Date: Fri, 30 Jul 2021 13:24:29 +0200
In-Reply-To: <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
 (ndame's message of "Fri, 30 Jul 2021 11:19:02 +0000")
Message-ID: <875ywsqc2a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: ndame <laszlomail@HIDDEN> writes: > The other
 possibility
 is not popping up the diff window instantly, but > waiting for the first
 output to arrive. That's also been discussed extensively during the M-x man
 wars, and it's a horrible UX -- having windows popping up asynchronously
 at some later point is disruptive and confusing, so we don't do that. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

ndame <laszlomail@HIDDEN> writes:

> The other possibility is not popping up the diff window instantly, but
> waiting for the first output to arrive.

That's also been discussed extensively during the M-x man wars, and it's
a horrible UX -- having windows popping up asynchronously at some later
point is disruptive and confusing, so we don't do that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 11:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 07:19:12 2021
Received: from localhost ([127.0.0.1]:59095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9QXo-0002RY-EH
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:19:12 -0400
Received: from mail-4324.protonmail.ch ([185.70.43.24]:61969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1m9QXm-0002RI-7a
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 07:19:11 -0400
Date: Fri, 30 Jul 2021 11:19:02 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627643943;
 bh=vwuV3aAv4v/p1j4yXa1bK8vUurV6atu5vRT57k98E6o=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=pXzrWDX49CL3Ca/6waLdCBDLKEJukhOQuv9NPVPR7XJcKuBdCoIyRils1md9baFCw
 wbMKsfaYmv2zU3uUPlZaNILc+SmS5RUajL3xOtHjK6A/ZnBRtW4t1AdIRRUSgp9dDt
 p2eA5O9kTZLTyapC1kjgC+lRdVRAlMUsPYiDLvzk=
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1;
 if diff commands finds no differences then do not pop up a window
Message-ID: <1VdefROysFdKKl20jV3U8WYbp7YC5umgJA41cfsSVcpOAAnOwGJs3dFkMAVi_8zPiesBbTZEYpINWLOfsJaBgOP9Ywa2afV7Tjkkgs8pIJs=@protonmail.com>
In-Reply-To: <87tukcqfta.fsf@HIDDEN>
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 <87tukcqfta.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> This is what `M-x man' does (when it turns out that the manual page
> doesn't exist), and people really dislike that, too (the "flickering"
> has been reported as a bug multiple times).
>
> So I don't think we want to extend that user experience in Emacs.
>

The other possibility is not popping up the diff window instantly, but
waiting for the first output to arrive. If there is no difference
then no output is coming and exit status 0 tells us we can print the
message.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 10:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 06:03:44 2021
Received: from localhost ([127.0.0.1]:59037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9PMl-0006ng-QV
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 06:03:44 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m9PMk-0006nO-8p
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 06:03:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Xwb8pouJk7r/rCYqdUU8/LlGmTJe5rqCwkbZP1601zI=; b=IpR/AUUJsOjirRKX0Vu4vt/TwR
 zRbwW+w/Wmzzbse8TSmaD/wxvbTtc998+A+jOxKe/LCm0E9ai1juDgUYNoO5Rwtn26tohQ3JMPa+8
 feTZtQZSCmMwX5x+3a6m2HvZnMYSxjQYI80unSXDtLZSFvICAPNYn6Sb6jTFDkZqWuF8=;
Received: from 2.149.45.105.tmi.telenormobil.no ([2.149.45.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m9PMb-000601-Je; Fri, 30 Jul 2021 12:03:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
 <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
Date: Fri, 30 Jul 2021 12:03:29 +0200
In-Reply-To: <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
 (ndame's message of "Fri, 30 Jul 2021 04:18:51 +0000")
Message-ID: <87tukcqfta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: ndame <laszlomail@HIDDEN> writes: >> That would
 require
 it to wait until Diff has finished running before >> showing the window.
 Currently 'M-x diff' works asynchronously, which has >> its benefits. > >
 If exit status is zero then dif [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

ndame <laszlomail@HIDDEN> writes:

>> That would require it to wait until Diff has finished running before
>> showing the window. Currently 'M-x diff' works asynchronously, which has
>> its benefits.
>
> If exit status is zero then diff should restore  the previous window config
> automatically and show the message.

This is what `M-x man' does (when it turns out that the manual page
doesn't exist), and people really dislike that, too (the "flickering"
has been reported as a bug multiple times).

So I don't think we want to extend that user experience in Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 04:19:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 30 00:19:02 2021
Received: from localhost ([127.0.0.1]:58715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9JzC-0004Vd-Dv
	for submit <at> debbugs.gnu.org; Fri, 30 Jul 2021 00:19:02 -0400
Received: from mail-40130.protonmail.ch ([185.70.40.130]:12785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1m9Jz9-0004V6-LB
 for 49774 <at> debbugs.gnu.org; Fri, 30 Jul 2021 00:19:00 -0400
Date: Fri, 30 Jul 2021 04:18:51 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627618732;
 bh=kOw8+41BkrE7V0non22eB6yBbt5WErT5zLj15qJhIgc=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=MXTMCUD7EIsIvUKB29w+pjZQRFwKj+eifO41sar1ezfYXviwQ8QTDxuf/Q3bBQeOL
 JsdoL7isGq5907C20jtewUPDl5fgclTEiGJUFIFbdw27jRM1UHK6Ry23YWBW3jBcGW
 5tAxrbuL6oFX2GDXS/N52GiIUmYM7dVwPK5XINEE=
To: Dmitry Gutov <dgutov@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: Re: bug#49774: 27.1;
 if diff commands finds no differences then do not pop up a window
Message-ID: <UG0nXcnbA-ndu79JvqrMYLuO-xizFzNOAWrAKzd82zDkuq1F8I3dgwBNp9BDdB2DY7285F6PyOQJJMiTLt5OkiiYjg8Do5zcGcOaimV0im8=@protonmail.com>
In-Reply-To: <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
 <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=4.9 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,NEW_DOMAIN_24H,
 URIBL_FRESH_24_SURBL shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Level: ****
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49774
Cc: 49774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> That would require it to wait until Diff has finished running before
> showing the window. Currently 'M-x diff' works asynchronously, which has
> its benefits.

If exit status is zero then diff should restore  the previous window config
automatically and show the message.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at 49774 <at> debbugs.gnu.org:


Received: (at 49774) by debbugs.gnu.org; 30 Jul 2021 01:18:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 29 21:18:31 2021
Received: from localhost ([127.0.0.1]:58567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9HAV-0000FT-L6
	for submit <at> debbugs.gnu.org; Thu, 29 Jul 2021 21:18:31 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:52823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1m9HAT-0000FG-Tq
 for 49774 <at> debbugs.gnu.org; Thu, 29 Jul 2021 21:18:30 -0400
Received: by mail-wm1-f50.google.com with SMTP id n11so4879315wmd.2
 for <49774 <at> debbugs.gnu.org>; Thu, 29 Jul 2021 18:18:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=tyfrLZKsWKDYTVplqOMISRjdEsquEGDHg603W7o57f4=;
 b=iIhcmQ5n2FaJqq/sAKW+ei5xrLsK5EVEP8l7v5n7YPl11g+KlMlH5+3J3K+P8JdQQU
 n5EPtp9AvMk+mM0/XZyQBdNi7gDh9q9fi2z6c4aX7a/ZaWg7JRmno8RJLrI89xX2YNsH
 SEYmNxxC0sff/W7vaiRl+sp9ABwXEWKnZ/gf2P+uV4o8a4H0NVvIlHdQ42s9cFrEUn0w
 BJBL9U9clCB1ZC1nddlA5GqlyKwg52HAGzb14EcaMsyn9W3YFSA3NbrjbcvgYi90IWYF
 RuISH3LFNamXNwq5iDfUQjVWNw0j9EV4A73vIFCclzTPgOxNgFMjWHEyj4HJ8rBOhUHa
 AkfQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=tyfrLZKsWKDYTVplqOMISRjdEsquEGDHg603W7o57f4=;
 b=OJyRoPB3adRNVNBrwezgZyxlJhUX5cwRtX62oUHyPtcjvWCCFl9/bjpKnggufm5I3a
 HL/YcVbOyPwj7wOP5T4GsOSfMwrr857Wo46hiKG7+bMwugneedjz7L1eW9BDGgZS8X55
 a/KNUafe8wHlXupFimDyaZvS1pICJ3S2XVdBfasdbaImW+6Dz+TIC3BnWnitKkpGCp/r
 bKxVXa6PvWWqQ4WRmAgFiIRK2AofRl1orVxWPtfoRVab61Qj3nMJSTqCWhwuIjO4Yq9P
 7IqMD9PgERhGV2yq/1kWKz3eR6JIAO/tTUpPFzZGsjaVpRXe90yqDgBk8G7sBNlCLTkb
 56sQ==
X-Gm-Message-State: AOAM531cbxflDre2creKeOZaDveR3yIfmxzqWx657cxGnZ4z5ML6vbql
 16EeDeo7yLaRZOhZFMlatpJz0By5EFs=
X-Google-Smtp-Source: ABdhPJzSjqKKDmHuXG0pY28vdIHNfnO/sF+lVaxGNyb7fZzArnCKNUEBuT2vz2gMnE592v9n/qvphw==
X-Received: by 2002:a7b:cb53:: with SMTP id v19mr65983wmj.127.1627607904103;
 Thu, 29 Jul 2021 18:18:24 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id z137sm119884wmc.14.2021.07.29.18.18.22
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 29 Jul 2021 18:18:23 -0700 (PDT)
Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do
 not pop up a window
To: ndame <laszlomail@HIDDEN>, 49774 <at> debbugs.gnu.org
References: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1f065a9b-e5b5-f873-5cc3-0d6fde9c1db3@HIDDEN>
Date: Fri, 30 Jul 2021 04:18:21 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 49774
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 29.07.2021 19:59, ndame via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> When diff exit code is zero and there are no differences then a window 
> pops up showing output like "Diff finished (no differences)" and the 
> user has to dismiss this useless window.
> 
> If there are no differences then emacs should just show this in a 
> message instead of popping up a window with not useful content.

That would require it to wait until Diff has finished running before 
showing the window. Currently 'M-x diff' works asynchronously, which has 
its benefits.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jul 2021 17:00:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 29 13:00:07 2021
Received: from localhost ([127.0.0.1]:58159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m99OB-0003DW-10
	for submit <at> debbugs.gnu.org; Thu, 29 Jul 2021 13:00:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:40332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1m99O8-0003CT-VK
 for submit <at> debbugs.gnu.org; Thu, 29 Jul 2021 13:00:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41246)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1m99O8-0007RZ-KE
 for bug-gnu-emacs@HIDDEN; Thu, 29 Jul 2021 13:00:04 -0400
Received: from mail-0201.mail-europe.com ([51.77.79.158]:44787)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1m99O6-0003Lm-5r
 for bug-gnu-emacs@HIDDEN; Thu, 29 Jul 2021 13:00:04 -0400
Date: Thu, 29 Jul 2021 16:59:18 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1627577959;
 bh=t9ih2LQMD7lHce767KsHkrw8WSDLel0QIkLOcgTS+Zs=;
 h=Date:To:From:Reply-To:Subject:From;
 b=mQKm27hgE66ZbDGpNrmsOeCd6TubvcybmZduoyb0qKa7QEf4lTSROLpzm8STz0eNz
 5pFSp+SWpajN34Z2qAixBvK0eRoLqTUC32d+dqB5HlURjf5y+AhwUJu4079sErIvOE
 RjI2I2y4eGkxdZhAFnvpaLWaiy+cdAsxGB+/FsP0=
To: "scame via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: 27.1;
 if diff commands finds no differences then do not pop up a window
Message-ID: <6-jIgEjC-M3zdDQDysoGtRzEjthWPAJ2umfoWDGcAvubl3DvWEFvWaLPStFKSxTJW-Vy0_PQ8Gsnu9u7hAuK040bA-ooxQwB9wLJNA7sUm0=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_TF2INoOSS6W5fIFhIDaFgu0UJTGJHh2Hrudyv2B3Ts"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=51.77.79.158;
 envelope-from=laszlomail@HIDDEN; helo=mail-0201.mail-europe.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_TF2INoOSS6W5fIFhIDaFgu0UJTGJHh2Hrudyv2B3Ts
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

V2hlbiBkaWZmIGV4aXQgY29kZSBpcyB6ZXJvIGFuZCB0aGVyZSBhcmUgbm8gZGlmZmVyZW5jZXMg
dGhlbiBhIHdpbmRvdyBwb3BzIHVwIHNob3dpbmcgb3V0cHV0IGxpa2UgIkRpZmYgZmluaXNoZWQg
KG5vIGRpZmZlcmVuY2VzKSIgYW5kIHRoZSB1c2VyIGhhcyB0byBkaXNtaXNzIHRoaXMgdXNlbGVz
cyB3aW5kb3cuCgpJZiB0aGVyZSBhcmUgbm8gZGlmZmVyZW5jZXMgdGhlbiBlbWFjcyBzaG91bGQg
anVzdCBzaG93IHRoaXMgaW4gYSBtZXNzYWdlIGluc3RlYWQgb2YgcG9wcGluZyB1cCBhIHdpbmRv
dyB3aXRoIG5vdCB1c2VmdWwgY29udGVudC4=

--b1_TF2INoOSS6W5fIFhIDaFgu0UJTGJHh2Hrudyv2B3Ts
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdj5XaGVuIGRpZmYgZXhpdCBjb2RlIGlzIHplcm8gYW5kIHRoZXJlIGFyZSBubyBkaWZmZXJl
bmNlcyB0aGVuIGEgd2luZG93IHBvcHMgdXAgc2hvd2luZyBvdXRwdXQgbGlrZSAiRGlmZiBmaW5p
c2hlZCAobm8gZGlmZmVyZW5jZXMpIiBhbmQgdGhlIHVzZXIgaGFzIHRvIGRpc21pc3MgdGhpcyB1
c2VsZXNzIHdpbmRvdy48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5JZiB0aGVyZSBhcmUg
bm8gZGlmZmVyZW5jZXMgdGhlbiBlbWFjcyBzaG91bGQganVzdCBzaG93IHRoaXMgaW4gYSBtZXNz
YWdlIGluc3RlYWQgb2YgcG9wcGluZyB1cCBhIHdpbmRvdyB3aXRoIG5vdCB1c2VmdWwgY29udGVu
dC48YnI+PC9kaXY+


--b1_TF2INoOSS6W5fIFhIDaFgu0UJTGJHh2Hrudyv2B3Ts--





Acknowledgement sent to ndame <laszlomail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49774; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 31 Jul 2021 22:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.